package com.jasamedika.medifirst2000.dao.custom;

import java.util.List;
import java.util.Map;

import com.jasamedika.medifirst2000.dao.custom.base.CoreDao;
import com.jasamedika.medifirst2000.entities.DetailSpekAnggaran;

/**
 * 
 * @author Roberto
 */
public interface DetailSpekAnggaranDaoCustom extends CoreDao<DetailSpekAnggaran> {

	List<Map<String, Object>> findList(int rowStart, int rowEnd, String sort, String dir, String dateStart,
			String dateEnd, Integer tahun, List<Integer> pengendali, List<Integer> ruanganList, String gridFor,
			Integer pengendaliId);

	int findCount(String dateStart, String dateEnd, Integer tahun, List<Integer> pengendali, List<Integer> ruanganList,
			String gridFor, Integer pengendaliId);

	List<Map<String, Object>> getJenisProduk();

	List<Map<String, Object>> findPengajuanUsulanAnggaranByNoRec(String noRec);

	List<Map<String, Object>> findSpesifikasiByNoRec(String noRec);

	List<Map<String, Object>> findNamaPaketUsulanByNoRec(String noRec);

	int findCountDetailAnggaran(String dateStart, String dateEnd, Integer tahun, List<Integer> pengedaliIdList,
			Integer pengendaliId);

	List<Map<String, Object>> getDetailAnggaran(int rowStart, int rowEnd, String sort, String dir, String dateStart,
			String dateEnd, Integer tahun, List<Integer> pengedaliIdList, Integer pengendaliId);

	List<Map<String, Object>> getPengendali(String noRec);

}
